From 48d74a3d92ee6b9d772809c54de2032be8fc5f4b Mon Sep 17 00:00:00 2001
From: Aurélien Bompard <aurelien@bompard.org>
Date: Mar 10 2017 18:12:49 +0000
Subject: [PATCH 795/1001] Be more careful about what's stored in the DB


---

diff --git a/hubs/views/hub.py b/hubs/views/hub.py
index 30d4fb9..253c132 100644
--- a/hubs/views/hub.py
+++ b/hubs/views/hub.py
@@ -155,8 +155,9 @@ def hub_config(name):
         },
     }
     if flask.request.method == 'POST':
-        for key, value in flask.request.form.items():
-            setattr(hub.config, key, value)
+        for key in hub.config.__json__():
+            # Security: don't save every key in the POST.
+            setattr(hub.config, key, flask.request.form[key])
         if (not flask.request.form["chat_domain"]
             and len(app.config["CHAT_NETWORKS"]) > 0):
             hub.config.chat_domain = app.config["CHAT_NETWORKS"][0]["domain"]

